BEH_DEPEND(3)

NAME

beh_depend - compute forward dependencies in a description

SYNOPSYS

void beh_depend (fig_pnt)
struct befig *fig_pnt;

PARAMETERS

fig_pnt
    pointer of the BEFIG structure

DESCRIPTION

beh_depend() analyzes the forward dependencies in a whole description (a BEFIG). Forward dependency means, for each input finding out the set of outputs that depend on it.

fig_pnt represents the pointer of the description to be analyzed.

After the analysis is acheived, beh_depend produces a set of dependency lists for each input. Each dependency list is a list of pointers to those outputs that depends on the input. A seprate list is produced for each type of outputs (BEOUT, BEREG, BEAUX, BEBUX, BEMSG, BEDLY, BEBUS).

EXAMPLE

#include <beh109.h>
struct befig *befig_pnt;
beh_depend (befig_pnt);

SEE ALSO

beh(3), befig(3), berin(3), beaux(3), bereg(3), beh_debug(3)